microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Path parameters
name
string
required
The name of the memory store.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
Content-Type: application/json
scope
string
required
The namespace that logically groups and isolates memories to delete, such as a user ID.
Responses
The request has succeeded.
Body
Content-Type: application/json
object
enum
required
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
required
The name of the memory store.
scope
string
required
The scope from which memories were deleted.
deleted
boolean
required
Whether the deletion operation was successful.
Request
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json